%define api	2.0
%define major	2

%define libname	%mklibname ayatana-appindicator-glib %{major}
%define girname	%mklibname ayatanaappindicatorglib-gir %{api}
%define devname	%mklibname ayatana-appindicator-glib -d

Name:		libayatana-appindicator-glib
Version:	2.0.1
Release:	%mkrel 3
Summary:	Ayatana Application Indicator (Shared Library)
License:	LGPLv2 AND LGPLv3 AND GPLv3
Group:		System/Libraries
URL:		https://ayatanaindicators.github.io/
Source0:	https://github.com/AyatanaIndicators/libayatana-appindicator-glib/archive/%{version}/%{name}-%{version}.tar.gz
Patch:		0001-Find-GObjectIntrospection.patch
Patch:		0001-Find-Vala.patch
BuildRequires:	cmake
BuildRequires:	gi-docgen
BuildRequires:	git-core
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(libvala-0.56)

%description
A library to allow applications to export a menu into the an Application
Indicators aware menu bar.

%package -n	%{libname}
Summary:	Ayatana application indicators library for GTK+3
Group:		System/Libraries
Obsoletes:	%{_lib}ayatana-appindicator2 < 2.0.1-2

%description -n	%{libname}
A library to allow applications to export a menu into the an Application
Indicators aware menu bar.

%package -n	%{girname}
Summary:	GObject Introspection interface description for Ayatana Application Indicator
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{_lib}ayatanaappindicator-gir2.0 < 2.0.1-2

%description -n %{girname}
This package contains the GObject Introspection interface description
for Ayatana Application Indicator3 and GTK+3.

%package -n	%{devname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	ayatana-appindicator-glib-devel = %{version}-%{release}

%description -n	%{devname}
Development libraries and files for %{name}.

%prep
%autosetup -p1 -Sgit_am

%build
%cmake \
	-DINTROSPECTION_SCANNER:FILE=%{_bindir}/g-ir-scanner \
	-DINTROSPECTION_COMPILER:FILE=%{_bindir}/gi-compile-repository \
	-DVAPI_GEN:FILE=%{_bindir}/vapigen
%cmake_build

%install
%cmake_install

# move docs
mv %{buildroot}%{_docdir}/libayatana-appindicator-glib-dev/ %{buildroot}%{_docdir}/libayatana-appindicator-glib/

%files -n %{libname}
%license COPYING*
%doc README.md
%{_libdir}/libayatana-appindicator-glib.so.%{major}{,.*}

%files -n %{girname}
%license COPYING*
%doc README.md
%{_libdir}/girepository-1.0/AyatanaAppIndicatorGlib-%{api}.typelib

%files -n %{devname}
%license COPYING*
%doc README.md
%doc %{_docdir}/libayatana-appindicator-glib/
%{_includedir}/libayatana-appindicator-glib/
%{_libdir}/libayatana-appindicator-glib.so
%{_libdir}/pkgconfig/ayatana-appindicator-glib.pc
%{_datadir}/gir-1.0/AyatanaAppIndicatorGlib-%{api}.gir
%{_datadir}/vala/vapi/ayatana-appindicator-glib.{deps,vapi}


%changelog
* Sun Jul 06 2025 wally <wally> 2.0.1-3.mga10
+ Revision: 2247870
- remove obsoletes from devel pkg to allow building ayatana-appindicator

* Sun Jul 06 2025 wally <wally> 2.0.1-2.mga10
+ Revision: 2247838
- fix library, gir and devel pkg names

* Sun Jun 29 2025 wally <wally> 2.0.1-1.mga10
+ Revision: 2225510
- new version 2.0.1
- fork as libayatana-appindicator-glib
- add patches from upstream
- fix build after patches from upstream

* Mon Oct 30 2023 daviddavid <daviddavid> 0.5.93-1.mga10
+ Revision: 2002874
- new version: 0.5.93

* Thu Feb 02 2023 daviddavid <daviddavid> 0.5.92-1.mga9
+ Revision: 1937651
- new version: 0.5.92

* Sun Sep 11 2022 neoclust <neoclust> 0.5.91-1.mga9
+ Revision: 1887133
- New version 	0.5.91

* Fri Apr 01 2022 umeabot <umeabot> 0.5.5-7.mga9
+ Revision: 1838915
- Mageia 9 Mass Rebuild

* Thu Jan 14 2021 joequant <joequant> 0.5.5-6.mga8
+ Revision: 1671747
- add slack provides

* Mon Sep 21 2020 tv <tv> 0.5.5-5.mga8
+ Revision: 1629227
- rebuild mono fixed mono for proper mono provides & requires...

* Sun Sep 20 2020 tv <tv> 0.5.5-4.mga8
+ Revision: 1628941
- rebuild for new mono

* Tue Aug 11 2020 wally <wally> 0.5.5-3.mga8
+ Revision: 1613386
- provide libappindicator3.so.1 to make google-chrome installable from upstream

* Wed Aug 05 2020 wally <wally> 0.5.5-2.mga8
+ Revision: 1611318
- build with gtk2 support

* Tue Jul 28 2020 daviddavid <daviddavid> 0.5.5-1.mga8
+ Revision: 1609351
- new version: 0.5.5

* Wed Jun 10 2020 daviddavid <daviddavid> 0.5.4-1.mga8
+ Revision: 1591921
- initial package libayatana-appindicator

